FS_FLUSHVOLUME(1)

NAME
fs_flushvolume - Forces the Cache Manager to discard cached data from a volume

SYNOPSIS
fs flushvolume [-path <dir/file path>+] [-help]

fs flushv [-p <dir/file path>+] [-h]

DESCRIPTION
The fs flushvolume command removes from the cache all data that was fetched from the same volume as each specified directory or file. It does not discard cached status information. The next time an application requests data from a flushed directory or file, the Cache Manager fetches the most current version from a File Server, along with a new callback (if necessary) and associated status information. This command has no effect on two types of data:

•   Data in application program buffers.

•   Data that has been changed locally and written to the cache but not yet written to the copy on the file server machine.

To discard the data and status information associated with individual files and directories, use the fs flush command. To flush a corrupted mount point, use the fs flushmount command.

OPTIONS

-path <dir/file path>+
    Names a file or directory from each volume for which to discard all cached data. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command flushes from the cache all data fetched from the volume that contains the current working directory:

   % fs flushvolume

PRIVILEGE REQUIRED
The issuer must have the "l" (lookup) permission on the ACL of the root directory of the volume that houses the file or directory named by the -path argument, and on the ACL of each directory that precedes it in the pathname.

SEE ALSO
fs_flush(1), fs_flushmount(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.